Page MenuHomePhabricator

Update Debian Package for Scap to 3.8.7-1
Closed, ResolvedPublic

Description

The release branch for scap has tags for 3.8.7-1.

Instructions available on Wikitech.

The only significant change for this release is (D1114: Check for fatals in AbstractSync by calling `mwscript eval.php`)

+scap (3.8.7-1) UNRELEASED; urgency=medium
+
+  [ Mukunda Modell ]
+  * Check for fatals in AbstractSync by calling `mwscript eval.php`
+
+  [ Tyler Cipriani ]
+  * Add logging for mwscript eval.php check
+
+  [ Mukunda Modell ]
+  * Bump version to 3.8.7
+
+ -- Mukunda Modell <mmodell@wikimedia.org>  Wed, 03 Oct 2018 08:39:35 -0500
+

Event Timeline

thcipriani triaged this task as High priority.Sep 14 2018, 9:19 PM
thcipriani created this task.

Change 460610 had a related patch set uploaded (by Thcipriani; owner: Thcipriani):
[operations/puppet@production] Scap: upgrade to 3.8.6-1

https://gerrit.wikimedia.org/r/460610

Change 460610 merged by Filippo Giunchedi:
[operations/puppet@production] Scap: upgrade to 3.8.6-1

https://gerrit.wikimedia.org/r/460610

Mentioned in SAL (#wikimedia-operations) [2018-09-20T17:24:01Z] <godog> upload scap 3.8.6-1 - T204383

mmodell renamed this task from Update Debian Package for Scap to 3.8.6-1 to Update Debian Package for Scap to 3.8.7-1.Oct 3 2018, 1:53 PM
mmodell updated the task description. (Show Details)
mmodell added a subscriber: fgiunchedi.

repurposing this task since it's still open.

ping @fgiunchedi can you upload the latest scap when you have a chance?

Related Puppet patch is https://gerrit.wikimedia.org/r/#/c/operations/puppet/+/464152/

Change 464152 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/puppet@production] Install scap version 3.8.7-1

https://gerrit.wikimedia.org/r/464152

Legoktm removed a subscriber: Legoktm.Oct 3 2018, 11:53 PM

Mentioned in SAL (#wikimedia-operations) [2018-10-04T10:38:08Z] <godog> upload scap 3.8.7-1 - T204383

Change 464152 merged by Filippo Giunchedi:
[operations/puppet@production] Install scap version 3.8.7-1

https://gerrit.wikimedia.org/r/464152

fgiunchedi closed this task as Resolved.Oct 4 2018, 10:44 AM
fgiunchedi claimed this task.

All done! 3.8.7-1 is live

hashar removed a subscriber: hashar.Oct 15 2018, 11:54 AM